### Constructor

# Camel MessageInfo new_from_headers

since: 3.24

#### Declaration [src]

    CamelMessageInfo*
    camel_message_info_new_from_headers (
      CamelFolderSummary* summary,
      const CamelNameValueArray* headers
    )

#### Description [src]

Create a new `CamelMessageInfo` pre-populated with info from `headers`.

Available since: 3.24

#### Parameters

`summary`

  Type: `CamelFolderSummary`

  A `CamelFolderSummary` object or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`headers`

  Type: `CamelNameValueArray`

  A `CamelNameValueArray`.

  The data is owned by the caller of the function.

#### Return value

Type: `CamelMessageInfo`

A new `CamelMessageInfo`.

The caller of the function takes ownership of the data, and is responsible for freeing it.